Bug 338 - HP 2100 PCL6 driver causes explorer.exe crash
HP 2100 PCL6 driver causes explorer.exe crash
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.0preX
All Linux
: P3 normal
: 3.0.1
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 03:25 UTC by Yevheniy Demchenko
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments
fix EnumPrinterDataEx() reply for 2k//xp clients (989 bytes, patch)
2003-11-13 12:08 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yevheniy Demchenko 2003-08-22 03:25:11 UTC
I have upgraded recently from alpha22 to rc1. While trying to access printer  
properties from XP, i'm getting error "Runtime Error! program:  
C:\WINDOWS\explorer.exe abnormal program termintation". Printing is not  
possible as well. This error is reproducable from any WinXP computer on  
network on any shared by samba printer. Printers are HPLJ2100, drivers are  
latest PCL6 downloaded from HP and are installed on server via Add Printer  
wizard. When i delete drivers from server and install them again, it works  
for a while until the first change in printer settings. 
Any ideas? Thanks.
Comment 1 Gerald (Jerry) Carter 2003-08-22 06:42:25 UTC
I've seen this one with the 2100 PCL drivers as well.  
But other drivers work fine.  Have you tried 
other drivers?  What about the 2100 PS drivers?
Comment 2 Gerald (Jerry) Carter 2003-08-27 13:05:25 UTC
RC2 will ship with this issue unresolved.  We'll put it on 
the plate for RC3 and hope to resolve it by then.
Comment 3 Gerald (Jerry) Carter 2003-11-13 12:07:49 UTC
Finally fixed this one. :-(  Sorry for the delay.
Fix will be in 3.0.1pre2.  Attaching the patch to 
this report.
Comment 4 Gerald (Jerry) Carter 2003-11-13 12:08:36 UTC
Created attachment 255 [details]
fix EnumPrinterDataEx() reply for 2k//xp clients
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:06:27 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:16:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:26:00 UTC
database cleanup